## EvAsyncRenderer

EvAsyncRenderer

## Synopsis

                        EvAsyncRenderer;
    struct              EvAsyncRendererInterface;
    void                ev_async_renderer_render_pixbuf     (EvAsyncRenderer *renderer,
                                                             int page,
                                                             double scale,
                                                             int rotation);

## Object Hierarchy

      GInterface
       +----EvAsyncRenderer

## Signals

      "render-finished"                                : Run Last

## Description

## Details

### EvAsyncRenderer

    typedef struct _EvAsyncRenderer EvAsyncRenderer;

### struct EvAsyncRendererInterface

    struct EvAsyncRendererInterface {
    	GTypeInterface base_iface;

    	void	    (* render_finished) (EvAsyncRenderer *renderer,
    					 GdkPixbuf       *pixbuf);

    	void        (* render_pixbuf)   (EvAsyncRenderer *renderer,
    					 int              page,
    					 double           scale,
    					 int              rotation);
    };

### ev_async_renderer_render_pixbuf ()

    void                ev_async_renderer_render_pixbuf     (EvAsyncRenderer *renderer,
                                                             int page,
                                                             double scale,
                                                             int rotation);

## Signal Details

### The `"render-finished"` signal

    void                user_function                      (EvAsyncRenderer *evasyncrenderer,
                                                            GdkPixbuf       *arg1,
                                                            gpointer         user_data)            : Run Last

`evasyncrenderer` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.